- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# Manager< T > Class Template Reference

Manager template. More...

`#include <manager.h>`

List of all members.

## Public Member Functions
| Manager ()
| Manager (const T t)
| operator T () const
## Protected Member Functions
bool | isOwner () const
void | release ()
## Protected Attributes
T | _t
## Private Attributes
bool | _isOwner

## Detailed Description

### template<class T>
class Manager< T >

Manager template.

Make underlying types exception-safe.

## Constructor & Destructor Documentation

template<class T>

Manager< T >::Manager | ( |  | ) | `[inline]`

template<class T>

Manager< T >::Manager | ( | const T | t | ) | `[inline]`

## Member Function Documentation

template<class T>

Manager< T >::operator T | ( |  | ) | const`[inline]`

template<class T>

bool Manager< T >::isOwner | ( |  | ) | const`[inline, protected]`

template<class T>

void Manager< T >::release | ( |  | ) | `[inline, protected]`

## Member Data Documentation

template<class T>

T Manager< T >::_t`[protected]`

template<class T>

bool Manager< T >::_isOwner`[private]`

The documentation for this class was generated from the following file:

- manager.h